package com.connor.plm.application.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.connor.plm.domain.Project;
import com.connor.plm.mapper.ProjectMapper;
import com.connor.plm.util.JsonResult;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author xukl
 * @description
 * @date 2022/12/14
 */
@RequiredArgsConstructor
@Slf4j
@Service
public class ProjectService {
  private final ProjectMapper projectMapper;

  /**
   * 暂不考虑分页
   *
   * @param query
   * @return
   */
  public JsonResult projectQuery(String query) {
    LambdaQueryWrapper<Project> like =
        new LambdaQueryWrapper<Project>()
            .like(Objects.nonNull(query), Project::getObjectName, query)
            .or(wrapper -> wrapper.like(Objects.nonNull(query), Project::getProjectId, query));
    return JsonResult.success(projectMapper.selectList(like));
  }
}
