package com.connor.plm.interfaces;

import com.connor.plm.application.service.ProjectService;
import com.connor.plm.util.JsonResult;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xukl
 * @description
 * @date 2022/12/14
 */
@RestController
@Slf4j
@RequiredArgsConstructor
@RequestMapping("/api/awc")
public class AWCController {
  private final ProjectService projectService;

  @PostMapping("/project/query")
  public JsonResult projectQuery(String query) {
    log.info("projectQuery() called with: query = {}", query);
    return projectService.projectQuery(query);
  }
}
