package com.connor.plm.util;

import lombok.Data;

import java.io.Serializable;

@Data
public class JsonResult implements Serializable {

  private static final long serialVersionUID = -137556159329235533L;
  /**
   * 接口是否完成操作
   */
  private boolean success = true;
  /**
   * 接口处理的消息
   */
  private String msg;
  /**
   * 状态码
   */
  private Integer code;
  /**
   * 返回的对象
   */
  private Object data;

  public JsonResult() {}

  public JsonResult(String msg) {
    this.msg = msg;
  }

  public JsonResult(String msg, Integer code) {
    this.msg = msg;
    this.code = code;
  }

  public static JsonResult success() {
    return new JsonResult();
  }

  public static JsonResult success(Object data) {
    JsonResult jr = new JsonResult();
    jr.setData(data);
    return jr;
  }

  public static JsonResult success(String msg, Object data) {
    JsonResult jr = new JsonResult();
    jr.setMsg(msg);
    jr.setData(data);
    return jr;
  }

  public static JsonResult error() {
    JsonResult jr = new JsonResult();
    jr.setSuccess(false);
    return jr;
  }

  public static JsonResult error(String msg) {
    JsonResult jr = new JsonResult(msg);
    jr.setSuccess(false);
    return jr;
  }

  public static JsonResult error(String msg, Integer code) {
    JsonResult jr = new JsonResult(msg, code);
    jr.setSuccess(false);
    return jr;
  }
}
